tidb-lightning把mysql5.7的数据导入tidb时候报这个错,是dsn写错了吗?

为提高效率,提问时请提供以下信息,问题描述清晰可优先响应。

  • 【TiDB 版本】:3.1.0
  • 【问题描述】:

收到问题,会尽快答复,多谢

  1. 请问,192.168.10.20 的 mysql 是 5.6.5 以上吗?

是5.5这个版本

换了个5.7版本的mysql,现在报这个错误

image

请问是用了 TiFlash吗? 在接下來的 lightning 已解決,可以先把 check-requirements 關掉略過

好的我试试,设置check-requirements=false 目前没有报错!再看看


好像导完了,因为我不记得具体多少条了,但是报了这个错, 他提示的要run ./tidb-lightning-ctl --checkpoint-errors-destroy=all --config=…

这个命令也run了,没用,还是让我先处理上次的错误,上次的错误怎么处理!!

我确认了,数据已经完全导完了,但是为什么会给个false的状态呢

这里应该是版本之间不匹配抱歉,而且您导入的数据看起来也不一致。 Importer: 4.0.0-Rc / 3.1. 1 要使用这些版本。 V3.1.1 版本计划 Release Notes 2020/04/30 正式发布。 建议等到3.1.1发布,或者当前升级到4.0rc 重新导入比较好,非常抱歉

不是应该选择与tidb集群相同的版本吗?我tidb集群的版本就是v3.1.0。

是的,我的意思是这个3.1.0的版本 lightning 和 tiflash这里应该有问题,这个问题要在之后的版本才可以解决。 非常抱歉,建议您可以再之后发布的3.1.1或者 4.0 rc 导入。 给您带来不便,非常抱歉。

嗯嗯,明白了。多谢

:call_me_hand:

我感觉这个lighting这个还是有问题,我今天换成了4.0.0rc版本的tidb和lightning 问题和上次一样,还是无法执行创建数据库和表的文件,只能手动去创建,然后用 lightning 去执行导入数据的操作。

你好,

方便将升级后的报错信息和操作流程整理下开新帖提问下,这边信息有点多,麻烦了~